import { jsx } from "react/jsx-runtime";
import { TokenWHALE as TokenWHALE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenWHALE = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "WHALE", "data-name": "TokenWHALE", ...props, children: /* @__PURE__ */ jsx(TokenWHALE$1, { variant }) });
  }
);
TokenWHALE.displayName = "TokenWHALE";
Object.assign(TokenWHALE, { isGdsIcon: true });
export {
  TokenWHALE
};
